# default rules
homepage:
  url:   /
  param: { module: default, action: index }

media:
  url:   /media
  param: { module: media, action: index }

login:
  url:   /login
  param: { module: default, action: logout }

logout:
  url:   /logout
  param: { module: default, action: logout }

subcategory_create:
  url:   /category/create/:cid
  param: { module: category, action: create }
  requirements: { cid: '[0-9]+' }

subcategory:
  url:   /category/:category
  param: { module: category, action: index }
  requirements: { category: '[0-9]+' }

webcontent_default:
  url:   /pages/:action/*
  param: { module: webcontent }

menus:
  url:   /menu
  param: { module: menu, action: index }

activities:
  url:   /activity
  param: { module: activity, action: index }

# Route for role administration
roles:
  url:   /role
  param: { module: role, action: index }

configuration:
  url:   /configuration
  param: { module: config, action: index }

configuration_system:
  url:   /configuration/system/1
  param: { module: config, action: index, system: 1 }

translations:
  url:   /translations
  param: { module: translation, action: index }

statistics:
  url:   /statistics
  param: { module: statistics, action: index }
  
dashboard:
  url:   /dashboard
  param: { module: dashboard, action: index }
  
dashboard_job:
  url:   /dashboard/synchronizeDashboardData
  param: { module: dashboard, action: synchronizeDashboardData }

mails:
  url:   /mails
  param: { module: mail, action: index }

userfields:
  url:   /userfields
  param: { module: userfields, action: index }

mediafields:
  url:   /mediafields
  param: { module: mediafields, action: index }

language:
  url:   /language/:language
  param: { module: default, action: language }

media_medium:
  url:    /getMedium/:key
  param:  { module: media, action: medium }
  requirements: { key: '[a-fA-F0-9]{32}' }

media_medium_type:
  url:    /getMedium/:key.:type
  param:  { module: media, action: medium }
  requirements: { key: '[a-fA-F0-9]{32}' }

media_thumbnail:
  url:    /getThumbnail/:key
  param:  { module: media, action: thumbnail }
  requirements: { key: '[a-fA-F0-9]{32}' }

#default_symfony:
#  url:   /symfony/:action/*
#  param: { module: default }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*
